(solved)Firefox ESR...?

Firefox 34.0 is not getting updated by default as netrunner 14.1 is a LTS OS. But the ESR version of firefox is getting updates. So is it advisable to have Firefox ESR (presently firefox-31.4.0esr ) over version 34.0? If yes , how?
Will i get the kde or netrunner specific touch-ups to the esr version automatically?

See here to get the newest firefox: http://www.netrunner.com/firefox-and-thunderbird-plasmified/

Thanks.
After adding repo and refreshing, I force installed the latest version through synaptic and manually installed
‘mozilla-kde-support’ which removed ‘firefox-kde-support’.